Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class Filter

    java.lang.Object
      org.jboss.seam.core.Filter

    @Intercept(value=NEVER)
    @Scope(value=APPLICATION)
    public class Filter

extends Object

Support for declarative application of Hibernate filters to persistence contexts.

Author:
  Gavin King
See Also:
  `Filter`, `ManagedHibernateSession`, `ManagedPersistenceContext`

Constructor Summary
`Filter()`

Method Summary
`void` | `create(Component component)`
`Expressions.ValueBinding` | `getEnabled()`
`String` | `getName()` The Hibernate filter name.
`Map<String,Expressions.ValueBinding>` | `getParameters()` The filter parameters.
`boolean` | `isFilterEnabled()`
`void` | `setEnabled(Expressions.ValueBinding enabled)`
`void` | `setName(String name)`
`void` | `setParameters(Map<String,Expressions.ValueBinding> parameters)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Filter

    public Filter()

Method Detail

### create

    @Create
    public void create(Component component)

### getParameters

    public Map<String,Expressions.ValueBinding> getParameters()

  The filter parameters.

  See Also:
    `Filter.setParameter(String, Object)`

### setParameters

    public void setParameters(Map<String,Expressions.ValueBinding> parameters)

### getName

    public String getName()

  The Hibernate filter name.

  See Also:
    `Session.enableFilter(String)`

### setName

    public void setName(String name)

### isFilterEnabled

    public boolean isFilterEnabled()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getEnabled

    public Expressions.ValueBinding getEnabled()

### setEnabled

    public void setEnabled(Expressions.ValueBinding enabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD